Comments

85 Comments

Thanks Jitka.

Works for me.

BZ#1750016 [RFE] EPEL-8 branch for perl-Probe-Perl

Hi, can you add perl-Test-Script-1.25-2.el8 to this update please? It depends on perl-Probe-Perl.

rpmdiff shows no significant differences between this package and the one I built myself and tested locally.

BZ#1748856 [RFE] EPEL8 branch of perl-Sub-Quote

I cleaned up the spec a bit and built perl-Convert-TNEF-0.18-17.el8; please consider updating to that build.

Built perl-Convert-BinHex successfully.

Built perl-Convert-BinHex successfully.

karma

Works for me too.

Am able to install upgraded packages now but the alternatives ilnks still don't seem to be working properly. I am using the mysql backend. After the upgrade, I had this:

# ls -l /usr/lib64/libbaccats*
lrwxrwxrwx. 1 root root    27 Jan 10 17:50 /usr/lib64/libbaccats-9.0.5.so -> libbaccats-sqlite3-9.0.5.so
lrwxrwxrwx. 1 root root    27 Jun 12 09:31 /usr/lib64/libbaccats-9.0.6.so -> libbaccats-sqlite3-9.0.6.so
-rwxr-xr-x. 1 root root 27616 Jun 11 12:00 /usr/lib64/libbaccats-mysql-9.0.7.so
lrwxrwxrwx. 1 root root    25 Jun 11 12:00 /usr/lib64/libbaccats-mysql.so -> libbaccats-mysql-9.0.7.so
-rwxr-xr-x. 1 root root 35752 Jun 11 12:00 /usr/lib64/libbaccats-postgresql-9.0.7.so
lrwxrwxrwx. 1 root root    30 Jun 11 12:00 /usr/lib64/libbaccats-postgresql.so -> libbaccats-postgresql-9.0.7.so
lrwxrwxrwx. 1 root root    31 Jun 12 09:31 /usr/lib64/libbaccats.so -> /etc/alternatives/libbaccats.so
-rwxr-xr-x. 1 root root 23576 Jun 11 12:00 /usr/lib64/libbaccats-sqlite3-9.0.7.so
lrwxrwxrwx. 1 root root    27 Jun 11 12:00 /usr/lib64/libbaccats-sqlite3.so -> libbaccats-sqlite3-9.0.7.so

The director failed to start, with this in /var/log/messages:

/usr/sbin/bacula-dir: error while loading shared libraries: libbaccats-9.0.7.so: cannot open shared object file: No such file or directory

I manually added the needed link and got rid of the old sqlite links, leaving this:

# ls -l /usr/lib64/libbaccats*
lrwxrwxrwx. 1 root root    13 Jun 12 09:50 /usr/lib64/libbaccats-9.0.7.so -> libbaccats.so
-rwxr-xr-x. 1 root root 27616 Jun 11 12:00 /usr/lib64/libbaccats-mysql-9.0.7.so
lrwxrwxrwx. 1 root root    25 Jun 11 12:00 /usr/lib64/libbaccats-mysql.so -> libbaccats-mysql-9.0.7.so
-rwxr-xr-x. 1 root root 35752 Jun 11 12:00 /usr/lib64/libbaccats-postgresql-9.0.7.so
lrwxrwxrwx. 1 root root    30 Jun 11 12:00 /usr/lib64/libbaccats-postgresql.so -> libbaccats-postgresql-9.0.7.so
lrwxrwxrwx. 1 root root    31 Jun 12 09:39 /usr/lib64/libbaccats.so -> /etc/alternatives/libbaccats.so
-rwxr-xr-x. 1 root root 23576 Jun 11 12:00 /usr/lib64/libbaccats-sqlite3-9.0.7.so
lrwxrwxrwx. 1 root root    27 Jun 11 12:00 /usr/lib64/libbaccats-sqlite3.so -> libbaccats-sqlite3-9.0.7.so

The director was then able to start and access the database.

Re: IP2Location LITE database - certainly not for this package, which has to be compatible with the GeoIP library, and I'm pretty sure the IP2Location databases have their own API. So, like the GeoLite2 libraries from Maxmind, they need their own packages for the library and data, and their clients need to specifically support those APIs. I expect this support will start to appear soon in upstream projects, but the libraries and databases will have to be introduced in Fedora as separate packages.

Also, there's a section in the IP2Location FAQ that casts doubt on the the databases being redistributable, despite their licenses:

https://lite.ip2location.com/faqs

"You can redistribute one copy of the LITE database with your application with attribution. However, you need to inform all users to register for an individual license in http://lite.ip2location.com to download monthly updates. Third party database repository is not allowed."

Having the database in Fedora would surely be a "third party database repository".

Successfully built perl-IO-Compress 2.080.

Successfully built perl-IO-Compress 2.080.

Please update to perl-Test-Simple-1.302130-1.fc28 when possible. This adds hub tagging.

This update has been unpushed.

Tested locally using perl-Devel-OverloadInfo, worked fine.

Unpushed because perl 5.24.3 isn't submitted for stable yet.

Tested and working with python-paramiko 2.2.0.

BZ#1426195 python-bcrypt-3.1.3 is available

I'll push it after the F26 update goes stable, so as not to break the upgrade path.

This update has been unpushed.

This update has been unpushed.